.site-header {
  background-color: #FFF;
  box-shadow: 0px 4px 12px rgba(0, 0, 0, 0.07);
  padding: 5px 0;
  position: fixed;
  width: 100%;
  z-index: 1000;
}

.menu-navigation-desktop {
  display: none;
}

.site-header__wrapper {
  display: flex;
  align-items: center;
  justify-content: space-between;
  gap: 10px;
  flex-wrap: wrap;
}

.button-catalog {
  display: flex;
  align-items: center;
  padding: 0;
  background-color: transparent;
}
.button-catalog .icon-burger {
  display: flex;
  font-size: 15px;
  color: #000;
}
.button-catalog .icon-close-catalog {
  display: none;
  color: #000;
}
.button-catalog .button-catalog-title {
  display: none;
}

.site-logo {
  display: flex;
  align-items: center;
  justify-content: center;
  max-width: 221px;
}
.site-logo img {
  width: 100%;
  height: 100%;
  -o-object-fit: cover;
     object-fit: cover;
}

.search-mobile-button {
  font-size: 15px;
  background-color: transparent;
  padding: 0;
  display: flex;
  align-items: center;
  justify-content: center;
  color: #000;
}

@media screen and (min-width: 768px) {
  .site-header {
    padding: 15px 0;
  }
  .button-catalog .icon-burger {
    display: flex;
    font-size: 25px;
  }
  .search-mobile-button {
    font-size: 25px;
  }
}
@media screen and (min-width: 1024px) {
  .site-logo {
    max-width: 120px;
  }
}
@media screen and (min-width: 1279px) {
  .menu-navigation-mobile {
    display: none !important;
  }
  .search-mobile-button {
    display: none !important;
  }
  .menu-navigation-desktop {
    display: block;
  }
  .site-header {
    background-color: transparent;
    box-shadow: none;
    position: absolute;
    z-index: auto;
  }
  .button-catalog {
    max-width: 472px;
    width: 100%;
    border-radius: 100px;
    overflow: hidden;
    background-color: #F6F6F6;
    padding: 24px 50px;
    gap: 32px;
  }
  .button-catalog .icon-burger {
    font-size: 30px;
    transition: font-size 0.1s ease;
  }
  .button-catalog .button-catalog-title {
    display: block;
    font-size: 20px;
    line-height: 25px;
    font-weight: normal;
  }
  .button-catalog.opened {
    z-index: 10;
  }
  .button-catalog.opened .icon-burger {
    display: none;
  }
  .button-catalog.opened .icon-close-catalog {
    display: flex;
    font-size: 30px;
    transition: font-size 0.1s ease;
  }
  .site-logo {
    max-width: 221px;
  }
}